# layer_solidcolor.cpp File Reference

Implementation of the "Solid Color" layer. More...

`#include "layer_solidcolor.h"`
`#include "string.h"`
`#include "time.h"`
`#include "context.h"`
`#include "paramdesc.h"`
`#include "renddesc.h"`
`#include "surface.h"`
`#include "value.h"`
`#include "valuenode.h"`

## Functions

| SYNFIG_LAYER_INIT (Layer_SolidColor)
| SYNFIG_LAYER_SET_NAME (Layer_SolidColor,"SolidColor")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_SolidColor, N_("Solid Color"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_SolidColor, N_("Geometry"))
| SYNFIG_LAYER_SET_VERSION (Layer_SolidColor,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Layer_SolidColor,"$Id$")

## Detailed Description

Implementation of the "Solid Color" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_SolidColor |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_SolidColor | ,
|  | "SolidColor" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_SolidColor | ,
|  | N_("Solid Color") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_SolidColor | ,
|  | N_("Geometry") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_SolidColor | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_SolidColor | ,
|  | "$Id$" |  |
| ) |  |  |